lp(1)

NAME
lp - Dateien drucken

SYNOPSIS
lp [ -h Rechnername[:Port] ] [ -E ] [ -U Benutzername ] [ -c ] [ -d Ziel[/Instanz] ] [ -m ] [ -n Anz-Kopien ] [ -o Option[=Wert] ] [ -q Priorität ] [ -s ] [ -t Titel ] [ -H Handhabung ] [ -P Seitenliste ] [ -- ] [ Datei(en) ]
lp [ -h Rechnername[:Port] ] [ -E ] [ -U Benutzername ] [ -c ] [ -i Auftrags-ID ] [ -n Anz-Kopien ] [ -o Option[=Wert] ] [ -q Priorität ] [ -t Titel ] [ -H Handhabung ] [ -P Seitenliste ]

BESCHREIBUNG
lp reicht Dateien zum Druck ein oder ändert einen anhängenden Druckauftrag. Verwenden Sie als Dateinamen »-«, um das Drucken von der Standardeingabe zu erzwingen.

  DAS VORGABEZIEL
CUPS stellt viele Möglichkeiten bereit, das Vorgabeziel zu setzen. Die Umgebungsvariablen LPDEST und PRINTER werden zuerst herangezogen. Wenn keine von beiden gesetzt ist, wird der aktuell unter Benutzung des Befehls lpoptions(1) gesetzte benutzt, gefolgt von der durch den Befehl lpadmin(8) gesetzten Vorgabe.

OPTIONEN
Die folgenden Optionen werden von lp erkannt:

--  Markiert das Ende der Optionen; verwenden Sie dies, um eine Datei zu drucken, deren Namen mit einem Bindestrich (-) beginnt.

-E  Erzwingt Verschlüsselung bei Verbindungen zum Server.

-U Benutzername
    Legt den Benutzernamen, der zur Kommunikation mit dem Server verwandt wird, fest.

-c  Diese Option wird nur zur Rückwärtskompatibilität bereitgestellt. Auf Systemen, die sie unterstützen, erzwingt die Option, dass die Druckdatei vor dem Drucken in das Spool-Verzeichnis kopiert wird. In CUPS werden die Dateien immer via IPP zum Auftragsplaner (Scheduler) geschickt, was den gleichen Effekt bewirkt.

-d Ziel
    Druckt Dateien auf den benannten Drucker.

-h Hostname[:Port]
    Wählt einen alternativen Server. Hinweis: Diese Option muss vor allen anderen auftauchen.

-i Auftrags-ID
    Legt einen existierenden Auftrag, der geändert werden soll, fest.

-m  Schickt eine E-Mail, wenn der Auftrag ausgeführt ist.

-n Kopien
    Setzt die Anzahl der zu druckenden Kopien.

-o "Name=Wert [ … Name=Wert ]"
    Setzt eine oder mehrere Optionen für den Auftrag. Siehe »HÄUFIGE DRUCKAUFTRAGSOPTIONEN« unten.

-q Priorität
    Setzt die Auftragspriorität von 1 (am niedrigsten) bis 100 (am höchsten). Die Standardpriorität beträgt 50.

-s  Die sich ergebenden Druckauftrags-IDs nicht berichten (stiller Modus).

-t "Name"
    Setzt den Namen des Auftrags.

-H hh:mm

-H hold

-H immediate

-H restart

-H resume
    Legt fest, wann der Druckauftrag gedruckt werden soll. Der Wert immediate führt zum sofortigen Druck. Der Wert hold hält den Druckauftrag auf unbestimmte Zeit an und ein UTC-Zeitwert (HH:MM) hält den Druckauftrag bis zur angegebenen UTC- (nicht lokalen) Uhrzeit an. Verwenden Sie den Wert resume mit der Option -i, um einen gehaltenen Druckauftrag wieder aufzunehmen. Verwenden Sie den Wert restart mit der Option -i, um einen abgeschlossenen Druckauftrag neu zu starten.

-P Seitenliste
    Legt fest, welche Seiten im Dokument gedruckt werden. Die Liste kann eine durch Kommata getrennte Liste von Nummern und Bereichen (#-#) enthalten, z.B. 1,3-5,16. Die Seitennummern beziehen sich auf die Ausgabeseiten und nicht auf die Originalseiten des Dokuments – Optionen wie »number-up« können die Nummerierung der Seiten beeinflussen.

  HÄUFIGE DRUCKAUFTRAGSOPTIONEN
Abgesehen von druckerspezifischen Optionen, die vom Befehl lpoptions(1) berichtet werden, sind die folgenden allgemeinen Optionen verfügbar:

-o job-sheets-default=Name
    Druckt ein Deckblatt mit dem Dokument. Der »Name« kann »classified«, »confidential«, »secret«, »standard«, »topsecret« oder »unclassified« sein.

-o media=Größe
    Setzt die Seitengröße auf Größe. Die meisten Drucker unterstützen mindestens die Seitennamen »a4«, »letter« und »legal«.

-o number-up={2|4|6|9|16}
    Druckt 2, 4, 6, 9 oder 16 Dokumenten- (Eingabe-)Seiten auf jeder Ausgabeseite.

-o orientation-requested=4
    Druckt den Druckauftrag im Querformat (gedreht um 90 Grad gegen den Uhrzeigersinn).

-o orientation-requested=5
    Druckt den Druckauftrag im Querformat (gedreht um 90 Grad im Uhrzeigersinn).

-o orientation-requested=6
    Druckt den Druckauftrag im inversen Hochformat (gedreht um 180 Grad).

-o print-quality=3

-o print-quality=4

-o print-quality=5
    Legt die Ausgabequalität fest - Entwurf (3), normal (4) oder beste (5).

-o sides=one-sided
    Druckt auf einer Seite des Papiers.

-o sides=two-sided-long-edge
    Druckt auf beiden Seiten des Papiers für Hochformat-Ausgabe.

-o sides=two-sided-short-edge
    Druckt auf beiden Seiten des Papiers für Querformat-Ausgabe.

KONFORMITÄT
Anders als das System-V-Drucksystem erlaubt es CUPS, dass Druckernamen alle druckbaren Zeichen außer Leertaste, Tabulator, »/« und »#« enthalten. Auch sind Drucker- und Klassennamen unabhängig von der Groß-/Kleinschreibung.

Die Option q akzeptiert einen anderen Bereich von Werten als der Solaris-lp-Befehl, der den IPP-Druckauftragsprioritätswerten (1-100, 100 ist der höchste) anstelle der Solaris-Werte (0-39, 0 ist die höchste Priorität) entspricht.

BEISPIELE
Zwei Kopien eines Dokuments auf dem Vorgabedrucker ausdrucken:

    lp -n 2 Dateiname

Druckt ein doppelseitiges Dokument im Format legal auf dem Drucker mit Namen »foo«:

    lp -d foo -o media=legal -o sides=two-sided-long-edge Dateiname

Druckt ein Präsentations-Dokument zweifach pro Seite auf dem Drucker mit Namen »bar«:

    lp -d bar -o number-up=2 Dateiname

SIEHE AUCH
cancel(1), lpadmin(8), lpoptions(1), lpq(1), lpr(1), lprm(1), lpstat(1), CUPS-Online-Hilfe (http://localhost:631/help)

COPYRIGHT
Copyright © 2021-2023 by OpenPrinting.